<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9128au1.xslt, 05-06-2024 -->
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:ave="http://ei.vektis.nl/aanenafmeldingverzekerde/basisschema/v1_1" 
 xmlns:vz806="http://ei.vektis.nl/aanenafmeldingverzekerde/vz806/v1_1">

	<!-- retourcode 9128a DatumRedenGeenRecht moet voorkomen bij deze waarde in CodeRedenGeenRecht.-->
	
	<xsl:template name="rc9128a">

		<xsl:param name="CodeRedenGeenRecht"/>
		<xsl:param name="DatumRedenGeenRecht"/>
		
		<xsl:if test="normalize-space($CodeRedenGeenRecht) = 7201
					   or normalize-space($CodeRedenGeenRecht) = 7202 
					   or normalize-space($CodeRedenGeenRecht) = 7203
					   or normalize-space($CodeRedenGeenRecht) = 7204
					   or normalize-space($CodeRedenGeenRecht) = 7205">
			<xsl:if test="(normalize-space($DatumRedenGeenRecht) = '')">
				<vz806:Retourcode>9128</vz806:Retourcode>
			</xsl:if>
		  </xsl:if>
	</xsl:template>

</xsl:stylesheet>


